<template>
  <div>
    <label for="range-1"> Taux de CO2 Max </label>
    <b-form-input
      class="border rounded p-3"
      id="range-1"
      v-model="co2Value"
      type="range"
      min="0"
      :max= this.$store.getters.maxCo2Available
    ></b-form-input>
    <div class="mt-2">Valeur: {{ co2Value }}</div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      co2Value: this.$store.getters.co2Rate,
    };
  },
  watch: {
    co2Value(newVal) {
      this.$store.dispatch("updateCo2Rate", newVal);
    },
  },
  async beforeMount() {
    await this.$store.dispatch("fetchMaxCo2Available");
    console.log('max ' , this.$store.getters.maxCo2Available )
    

  },
};
</script>
